ConditionTask (Apache Ant API)

Package org.apache.tools.ant.taskdefs

## Class ConditionTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.taskdefs.condition.ConditionBase
    - - org.apache.tools.ant.taskdefs.ConditionTask

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class ConditionTask
      extends ConditionBase

  Task to set a property conditionally using <uptodate>, <available>, and many other supported conditions.

  This task supports boolean logic as well as pluggable conditions to decide, whether a property should be set.

  This task does not extend Task to take advantage of ConditionBase.

  Since:
    Ant 1.4

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConditionTask()` | Constructor, names this task "condition".

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | See whether our nested condition holds and set the property.
    `void` | `setElse​(java.lang.Object alt)` | The value for the property to set, if condition evaluates to false.
    `void` | `setElse​(java.lang.String e)` | The value for the property to set, if condition evaluates to false.
    `void` | `setProperty​(java.lang.String p)` | The name of the property to set.
    `void` | `setValue​(java.lang.Object value)` | The value for the property to set, if condition evaluates to true.
    `void` | `setValue​(java.lang.String v)` | The value for the property to set, if condition evaluates to true.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase

      `add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionTask

          public ConditionTask()

      Constructor, names this task "condition".

  - ### Method Detail

    - #### setProperty

          public void setProperty​(java.lang.String p)

      The name of the property to set. Required.
      Parameters:
        `p` - the name of the property
      Since:
        Ant 1.4

    - #### setValue

          public void setValue​(java.lang.Object value)

      The value for the property to set, if condition evaluates to true. Defaults to "true".
      Parameters:
        `value` - the (Object) value of the property
      Since:
        Ant 1.8

    - #### setValue

          public void setValue​(java.lang.String v)

      The value for the property to set, if condition evaluates to true. Defaults to "true".
      Parameters:
        `v` - the value of the property
      Since:
        Ant 1.4

    - #### setElse

          public void setElse​(java.lang.Object alt)

      The value for the property to set, if condition evaluates to false. If this attribute is not specified, the property will not be set.
      Parameters:
        `alt` - the alternate value of the property.
      Since:
        Ant 1.8

    - #### setElse

          public void setElse​(java.lang.String e)

      The value for the property to set, if condition evaluates to false. If this attribute is not specified, the property will not be set.
      Parameters:
        `e` - the alternate value of the property.
      Since:
        Ant 1.6.3

    - #### execute

          public void execute()
                       throws BuildException

      See whether our nested condition holds and set the property.
      Throws:
        `BuildException` - if an error occurs
      Since:
        Ant 1.4